/*Solicita al usuario n números reales. Almacenalos en un vector. Formula un 
programa que determine el primero y el segundo elementos más grandes del vector. 
Supóngase que todos los elementos son diferentes.*/

#include<stdlib.h>
#include<stdio.h>
#include<conio.h>
#define n 5

void main (void)
{
	float vector[n],i,max,max1,aux=0;
	
	clrscr();
	for(i=0;i<n;i++)
	{
		printf("Teclee  un n£mero entero: ");
		scanf("%f",&vector[i]);
	}
	max1=vector[0];
	max=vector[0];
	for(i=0;i<n;i++)
	{
		if(vector[i]>=max1)
		{
			if(vector[i]>=max)
			{
				aux=max;
				max=vector[i];
				max1=aux;

			}
			else
			{
			max1=vector[i];
			}
		}
	}
	printf("\nEl n£mero m ximo itroducido es: %f",max);
	printf("\nEl n£mero siguiente del m ximo es: %f",max1);
	getch();
}